HSPSummaryStAXHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssbind.HSPSummaryStAXHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssbind
Class HSPSummaryStAXHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
              org.biojava.bio.program.ssbind.HSPSummaryStAXHandler

All Implemented Interfaces:
  StAXContentHandler

    public class HSPSummaryStAXHandler

extends SeqSimilarityStAXHandler

`HSPSummaryStAXHandler` handles the HSPSummary element of BioJava BlastLike XML.

Since:
  1.3
Author:
  Keith James

Field Summary
`static StAXHandlerFactory` | `HSPSUMMARY_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`ssContext`

Method Summary
`protected void` | `handleStartElement(String nsURI, String localName, String qName, Attributes attrs)`

Methods inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`addHandler, endElement, handleEndElement, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HSPSUMMARY_HANDLER_FACTORY

    public static final StAXHandlerFactory HSPSUMMARY_HANDLER_FACTORY

Method Detail

### handleStartElement

    protected void handleStartElement(String nsURI,
                                      String localName,
                                      String qName,
                                      Attributes attrs)
                               throws SAXException

  Overrides:
    `handleStartElement` in class `SeqSimilarityStAXHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD